{% include 'header.twig' %}
<style>
    .btn, .badge {
    white-space: nowrap;
    display: inline-block;
    height: 40px;
    line-height: 40px;
    padding: 0 14px;
    -webkit-box-shadow: 0 4px 6px rgba(50,50,93,.11), 0 1px 3px rgba(0,0,0,.08);
    box-shadow: 0 4px 6px rgba(50,50,93,.11), 0 1px 3px rgba(0,0,0,.08);
    border-radius: 4px;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: .025em;
    color: white;
    text-decoration: none;
    -webkit-transition: all .15s ease;
    transition: all .15s ease;
    background-color: #2272d6;
}
    
    img {
    vertical-align: middle;
    border-style: none;
    width: 100%;
}
    
</style>
<section>
<div class="wrapper-content">
    <div class="container">
        <div class="row">
            {% if contentText %}
                <div class="col-lg-12 mt-2">
                    <div class="card mb-2" style="padding: 1rem; border-radius: 0.25rem; background-color: #fff; box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);">
                        {{ contentText }}
                    </div>
                </div>
            {% endif %}

            <div class="col-lg-7">
                <div class="component_form_group component_card component_radio_button">
                    <div>
                        <form method="post" id="addfundsForm" action="/addfunds">
                            <div class="form-group">
                                <label for="method" class="control-label">{{ lang['addfunds.method'] }}</label>
                                <select class="form-control" id="payment_method" name="payment_type">
                                    {% for method in site["paymentMethods"] %}
                                        <option value="{{ method['id'] }}">{{ method['name'] }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                            <div id="addfunds_fields"></div>
                        </form>
                        <div id="formSubmitResponseMessage"></div>
                        <div id="formSubmitResponseContent"></div>
                    </div>
                </div>
            </div>

            <div class="col-lg-5 mt-2">
                <div class="component_content_card component_content_button component_content_headers">
                    <div class="table-wr table-responsive">
                        <table class="table" style="border-radius: 0.25rem; box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Date</th>
                                    <th>Method</th>
                                    <th>Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for payment in payments %}
                                    <tr>
                                        <td>{{ payment['id'] }}</td>
                                        <td>{{ payment['date'] }}</td>
                                        <td>{{ payment['name'] }}</td>
                                        <td>{{ payment['amount'] }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="divider-top"></div>
    <div class="divider-bottom"></div>

    <div class="container ludd">
        {% if contentText2 %}
            <div class="card mt-4 mb-4" style="padding: 1rem; border-radius: 0.25rem; background-color: #fff; box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);">
                {{ contentText2 }}
            </div>
        {% endif %}
    </div>
</div>

</section>

			{% include 'footer.twig' %}

			<script>
				var paymentMethods = {{ site["paymentMethodsJSON"] }};
			</script>
			<script>
				const addfundsRoute = "/addfunds";
function addfundsInit() {
var addfundsForm = $("#addfundsForm");
var fields = $("#addfunds_fields");
var selectedMethod = $("#payment_method").val();
var instructions = paymentMethods[selectedMethod][0].instructions;
$.ajax({
url: addfundsRoute,
data: "action=getForm&selectedMethod=" + selectedMethod,
type: "POST",
success: function (json) {
if (json.success == true) {
if (instructions.length > 0) {
var methodInstruction = '<div class="form-group"><label class="control-label">Instructions</label><div class="panel-body border-solid border-rounded">' + instructions + '</div></div>';
} else {
var methodInstruction = "";
} fields.html(methodInstruction + json.content);
extraFeeInit(selectedMethod);
}
}
});
}

function extraFeeInit(method) {
var fee = parseFloat(paymentMethods[method][0].fee).toFixed(2);
var fields = $("#fee_fields");
if (fee > 0) {
fields.html('<div class="form-group"><label class="control-label">Extra fee</label><input type="text" class="form-control" id="methodExtraFee" disabled value="0.00"/></div><div class="form-group"><label class="control-label">Total Amount</label><input type="text" id="totalAmount" class="form-control" disabled value="0.00" /></div>');
}
}
function preparePrice(t) {
n = 2;
var r = (t = $.trim(t.toString().replace(",", "."))).split(".");
return void 0 !== r[1] && (r[1] = r[1].replace(/0+$/g, ""), r[1].length > n && (n = 2 < r[1].length ? 2 : r[1].length)),
1e3 <= (t =( t = parseFloat(t)).toFixed(n)) && (t = t.toString().replace(/(\d)(?=(\d\d\d)+([^\d]|$))/g, "$1" + "")),
t = t.toString().replace(/\.(\d+)$/g, "." + "$1");
return t.toFixed(n)
}
$(document).ready(function () {
$(document).on("keyup", "#paymentAmount", function () {
var selectedMethod = $("#payment_method").val();
var amount = parseFloat($(this).val());
var feePercentage = parseFloat(paymentMethods[selectedMethod][0].fee);
var feeInput = $("#methodExtraFee");
var totalAmountInput = $("#totalAmount");
var fee = amount * (feePercentage / 100);
feeInput.val(preparePrice(fee));
totalAmountInput.val(preparePrice(amount + fee));
});
addfundsInit();
});
$("#payment_method").change(function () {
addfundsInit();
});

$("#addfundsForm").submit(function (e) {
e.preventDefault();
var data = $(this).serialize();

$.ajax({
url: addfundsRoute,
data: data,
type: "POST",
success: function (json) {
if (json.success == true) {
var msgDiv = $("#formSubmitResponseMessage");
msgDiv.html('<div class="alert alert-success alert-dismissible fade show mt-2" role="alert">' + json.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button></div>');
var contentDiv = $("#formSubmitResponseContent");
contentDiv.html(json.content);
} else {
var msgDiv = $("#formSubmitResponseMessage");
msgDiv.html('<div class="alert alert-danger alert-dismissible fade show mt-2" role="alert">' + json.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button></div>');
}
}

});
});
			</script>
